List User Memory
import requests
url = "https://api.datagrid.com/v1/user-memories"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.datagrid.com/v1/user-memories', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://api.datagrid.com/v1/user-memories \
--header 'Authorization: Bearer <token>'{
"object": "list",
"data": [
{
"object": "user_memory",
"id": "<string>",
"updated_at": "<string>",
"created_at": "<string>",
"user_prompt": "<string>",
"context": [
"<string>"
],
"agent_id": "<string>",
"user_id": "<string>",
"memory": [
"<string>"
]
}
],
"has_more": true
}{
"status_code": 123,
"error": "rate_limit_exceeded",
"message": "<string>",
"retryable": true,
"statusCode": 123,
"mitigation": "<string>",
"details": {
"reason": "<string>"
}
}Memory
List User Memory
List the memories for a given user and agent that the user has access to
GET
/
user-memories
List User Memory
import requests
url = "https://api.datagrid.com/v1/user-memories"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.datagrid.com/v1/user-memories', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://api.datagrid.com/v1/user-memories \
--header 'Authorization: Bearer <token>'{
"object": "list",
"data": [
{
"object": "user_memory",
"id": "<string>",
"updated_at": "<string>",
"created_at": "<string>",
"user_prompt": "<string>",
"context": [
"<string>"
],
"agent_id": "<string>",
"user_id": "<string>",
"memory": [
"<string>"
]
}
],
"has_more": true
}{
"status_code": 123,
"error": "rate_limit_exceeded",
"message": "<string>",
"retryable": true,
"statusCode": 123,
"mitigation": "<string>",
"details": {
"reason": "<string>"
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
The limit on the number of objects to return, ranging between 1 and 100.
Required range:
1 <= x <= 100A cursor to use in pagination. offset is an integer that defines your place in the list. For example, if you make a list request and receive 100 objects, starting with obj_bar, your subsequent call can include offset=100 to fetch the next page of the list.
Required range:
0 <= x <= 100000Response
User memory list
Available options:
list An array containing the actual response elements, paginated by any request parameters.
Show child attributes
Show child attributes
Whether or not there are more elements available after this set. If false, this set comprises the end of the list.